AgentResource (The Data Transfer Agent Service 1.1.0-SNAPSHOT API)
Date: 2012-10-15

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.datatransfer.agent.impl.state
Class AgentResource

    java.lang.Object
      org.gcube.common.core.utils.handlers.GCUBEServiceClientImpl
          org.gcube.common.core.state.GCUBEStatefulResource<org.gcube.common.core.state.GCUBEWSResourceKey>
              org.gcube.common.core.state.GCUBEWSResource
                  org.gcube.datatransfer.agent.impl.state.AgentResource

All Implemented Interfaces:
  org.gcube.common.core.utils.handlers.GCUBEServiceClient, org.globus.wsrf.PersistenceCallback, org.globus.wsrf.Resource, org.globus.wsrf.ResourceLifetime, org.globus.wsrf.ResourceProperties, org.globus.wsrf.TopicListAccessor

    public class AgentResource

extends org.gcube.common.core.state.GCUBEWSResource

Author:
  Andrea Manzi(CERN)

Nested Class Summary

Nested classes/interfaces inherited from class org.gcube.common.core.state.GCUBEStatefulResource
`org.gcube.common.core.state.GCUBEStatefulResource.LOCK, org.gcube.common.core.state.GCUBEStatefulResource.TaskContext`

Field Summary
`protected static String` | `fileSystemRootRP`
`protected static String[]` | `RPNames`
`protected static String` | `supportedTransferRP`

Fields inherited from class org.gcube.common.core.state.GCUBEStatefulResource
`logger, uuidGen`

Constructor Summary
`AgentResource()`

Method Summary
`String` | `getFileSystemRoot()` Default getter for the RP Generic
`ArrayList<String>` | `getSupportedTransfer()` Default getter for the RP Generic
`protected String[]` | `getTopicNames()`
`HashMap<String,FutureTask>` | `getWorkerMap()`
`protected void` | `initialise(Object... o)` Initializes Resource Properties.
`void` | `setFileSystemRoot(String property)` Default Setter for the RP Generic
`void` | `setSupportedTransfer(String property)` Default Setter for the RP Generic
`void` | `setWorkerMap(HashMap<String,FutureTask> workerMaps)`

Methods inherited from class org.gcube.common.core.state.GCUBEWSResource
`getCurrentTime, getEPR, getPorttypeContext, getProperty, getPropertyNames, getPublisher, getResourcePropertySet, getServiceContext, getTerminationTime, getTopicList, initialise, initialiseContainers, inScope, load, publish, setPortTypeContext, setTerminationTime, unpublish`

Methods inherited from class org.gcube.common.core.state.GCUBEStatefulResource
`getID, getLock, getScheduledTasks, getScope, launchTask, onRemove, setID, setPersistenceDelegate, stopTask, store`

Methods inherited from class org.gcube.common.core.utils.handlers.GCUBEServiceClientImpl
`getPortTypeMap, setPortTypeMap`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.globus.wsrf.PersistenceCallback
`store`

Field Detail

### supportedTransferRP

    protected static final String supportedTransferRP

See Also:
  Constant Field Values

### fileSystemRootRP

    protected static final String fileSystemRootRP

See Also:
  Constant Field Values

### RPNames

    protected static String[] RPNames

Constructor Detail

### AgentResource

    public AgentResource()

Method Detail

### getTopicNames

    protected String[] getTopicNames()

  Overrides:
    `getTopicNames` in class `org.gcube.common.core.state.GCUBEWSResource`

### initialise

    protected void initialise(Object... o)
                       throws org.globus.wsrf.ResourceException

  Initializes Resource Properties.

  Specified by:
    `initialise` in class `org.gcube.common.core.state.GCUBEWSResource`
  Throws:
    `Exception` - Exception
    `org.globus.wsrf.ResourceException`

### getWorkerMap

    public HashMap<String,FutureTask> getWorkerMap()

### setWorkerMap

    public void setWorkerMap(HashMap<String,FutureTask> workerMaps)

### setSupportedTransfer

    public void setSupportedTransfer(String property)

  Default Setter for the RP Generic

  Parameters:
    `property` - the supported transfer property

### getSupportedTransfer

    public ArrayList<String> getSupportedTransfer()

  Default getter for the RP Generic

  Returns:
    The Supported Trasnfers

### setFileSystemRoot

    public void setFileSystemRoot(String property)

  Default Setter for the RP Generic

  Parameters:
    `property` - the supported transfer property

### getFileSystemRoot

    public String getFileSystemRoot()

  Default getter for the RP Generic

  Returns:
    The Supported Trasnfers

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.